# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

echo -E '
\documentclass[landscape,10pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{ngerman}
\usepackage[landscape]{geometry}

\begin{document}

\section*{Teilnehmende}
\begin{tabular}{|l|l|p{50mm}|p{80mm}|}
\hline
  \textbf{Name} &
  \textbf{Geburtstag} &
  \textbf{Telefon} &
  \textbf{Notiz} \\
\hline
\hline
'"$(
list_attendance "$course" |sort -k 2 |while read line; do
  cardfile="$(echo "$line" |cut -d\  -f1)"
  list_attendee "$cardfile" |sed -r 's:$:\\\\[3ex] \\hline:'
done
)"'
\end{tabular}

\newpage

\section*{Termine}
\begin{tabular}{|l|c|c|c|c|c|c|c|c|c|c|}
\hline
 '"$(get_dates)"' \\
\hline
\hline
'"$(
list_attendance "$course" |sort -k 2 | debug |sed -r 's:^[0-9a-z\.]+ (.+) \(\*[0-9]{4}\)$:\1:;s:$: \& \& \& \& \& \& \& \& \& \& \\\\[3ex] \\hline:'
)"'
\end{tabular}

\end{document}
'
